public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/stringex/
Date: Wed, 17 Feb 2016 22:12:46 +0000 (UTC)	[thread overview]
Message-ID: <1455747153.f49cd18685bf92a7a7d1eeb57cd6f4b5bf29259e.mrueg@gentoo> (raw)

commit:     f49cd18685bf92a7a7d1eeb57cd6f4b5bf29259e
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 17 22:12:17 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Feb 17 22:12:33 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f49cd186

dev-ruby/stringex: Version bump

Package-Manager: portage-2.2.27

 dev-ruby/stringex/Manifest              |  1 +
 dev-ruby/stringex/stringex-2.6.0.ebuild | 51 +++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-ruby/stringex/Manifest b/dev-ruby/stringex/Manifest
index 80ea041..925f97d 100644
--- a/dev-ruby/stringex/Manifest
+++ b/dev-ruby/stringex/Manifest
@@ -1 +1,2 @@
 DIST stringex-2.5.2.gem 128000 SHA256 27a8ee92a808a83284438e51ed391f3539ae6b39731b95cb4ad940974f6d0a94 SHA512 06905b5d59b40f59c0901bbaacbf303cd906be110cd69a4b8cc29cecd69b6aa73d80cee0c9c0e2014f662b9fca1611c0fe334fcba3c4fa686224dac94f4e0d41 WHIRLPOOL 21a66f7babd2424035e4874d9f5168736c81f6da8388764633d9618064998bfeb076076cfd0d9125583903be25070fa329c4e8fccd81ebb8f801c4447e6be7b4
+DIST stringex-2.6.0.gem 129536 SHA256 15611e3765430e6e4cb794d289be6bb7b8a8c873d3ff6fd7dbf8c222c68f7ff6 SHA512 a54bf6ab9fcb0a11f6e27a125e6b1d8a49fa0ef4ca703d512c99a20ad59316184017a30e8fede5e7df3449cac53a395f530dde2033d6b15ca540b2c51aab92eb WHIRLPOOL f9102672888332145cc7548f971d5cde6550391e155c4a27ec5796cfd6aa2cc92dcedd51d431705362fd5b7fe362a713aa718d5741eb35a56348a885f41426f6

diff --git a/dev-ruby/stringex/stringex-2.6.0.ebuild b/dev-ruby/stringex/stringex-2.6.0.ebuild
new file mode 100644
index 0000000..c38d197
--- /dev/null
+++ b/dev-ruby/stringex/stringex-2.6.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21"
+
+RUBY_FAKEGEM_DOC_DIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Extensions for Ruby's String class"
+HOMEPAGE="https://github.com/rsl/stringex"
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+# we could rely on activerecord[sqlite3], but since we do not remove the
+# sqlite3 adapter from activerecord when building -sqlite3, it's easier
+# to just add another dependency, so the user doesn't have to change the
+# USE flags at all.
+ruby_add_bdepend "
+	test? (
+		>=dev-ruby/i18n-0.6.9:0.6
+		dev-ruby/redcloth
+		dev-ruby/test-unit:2
+	)"
+
+USE_RUBY=${USE_RUBY/ruby22/} ruby_add_bdepend "test? ( >=dev-ruby/activerecord-3 dev-ruby/sqlite3 )"
+
+all_ruby_prepare() {
+	sed -i -e '1agem "i18n", "~>0.6.9"' test/test_helper.rb || die
+}
+
+each_ruby_prepare() {
+		case ${RUBY} in
+				*ruby22)
+						# Avoid tests depending on Rails until we have a version
+						# keyworded.
+						rm -rf test/unit/{acts_as_url,localization}* || die
+						;;
+		esac
+}
+
+each_ruby_test() {
+	# rake seems to break this
+	ruby-ng_testrb-2 -Ilib -Itest test/unit/*/*_test.rb test/performance/*_test.rb || die "tests failed"
+}


             reply	other threads:[~2016-02-17 22:12 UTC|newest]

Thread overview: 44+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-02-17 22:12 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-04-19 23:05 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/stringex/ Manuel Rüger
2016-04-23 23:59 Manuel Rüger
2016-05-28  8:41 Hans de Graaff
2016-07-15  5:38 Hans de Graaff
2016-09-26  5:04 Hans de Graaff
2016-12-29 13:06 Hans de Graaff
2017-01-19  6:00 Hans de Graaff
2017-02-11  6:20 Hans de Graaff
2017-02-14  0:36 Michael Weber
2017-08-13  5:28 Hans de Graaff
2017-08-13  5:28 Hans de Graaff
2017-12-09  7:55 Hans de Graaff
2017-12-23  6:27 Hans de Graaff
2018-03-21  6:41 Hans de Graaff
2018-04-16  5:16 Hans de Graaff
2018-05-06 18:10 Hans de Graaff
2018-08-17  8:18 Hans de Graaff
2018-11-07  7:19 Hans de Graaff
2018-12-18  5:58 Hans de Graaff
2019-05-04 18:32 Hans de Graaff
2020-12-29  6:54 Hans de Graaff
2021-12-14 22:16 Sam James
2021-12-18  2:10 Sam James
2022-02-10 10:20 Sam James
2022-02-28  7:06 Yixun Lan
2022-03-26  7:48 Hans de Graaff
2022-04-04  5:41 Hans de Graaff
2022-04-26 14:38 Sam James
2022-06-22  4:35 Hans de Graaff
2022-06-22  4:35 Hans de Graaff
2022-07-03 10:48 Agostino Sarubbo
2022-07-18 13:32 Hans de Graaff
2022-08-27  8:15 Hans de Graaff
2022-09-10  5:47 Hans de Graaff
2023-03-06  6:51 Hans de Graaff
2023-04-02  1:51 Sam James
2023-04-02  1:51 Sam James
2023-06-01  6:22 Sam James
2023-06-12  2:27 Sam James
2023-06-12 18:20 Hans de Graaff
2023-07-24 12:07 Jakov Smolić
2024-01-27 10:35 Hans de Graaff
2024-05-27  5:04 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1455747153.f49cd18685bf92a7a7d1eeb57cd6f4b5bf29259e.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox